Jenkins Enterprise and Operations Center < 2.222.43.0.2 / 2.249.30.0.2 / 2.263.2.3 Arbitrary File Read (CloudBees Security Advisory 2021-01-26)

medium Nessus Plugin ID 155841

Synopsis

A job scheduling and management system hosted on the remote web server is affected by an arbitrary file read vulnerability.

Description

The version of Jenkins Enterprise or Jenkins Operations Center running on the remote web server is 2.222.x prior to 2.222.43.0.2, 2.249.x prior to 2.249.30.0.2, or 2.x prior to 2.263.2.3. It is, therefore, affected by an arbitrary file read vulnerability due to a time-of-check to time-of-use (TOCTOU) race condition. An authenticated, remote attacker can exploit this, via the workspace browser, to access files outside workspaces.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade Jenkins Enterprise or Jenkins Operations Center to version 2.222.43.0.2, 2.249.30.0.2, 2.263.2.3 or later.

See Also

https://www.cloudbees.com/cloudbees-security-advisory-2021-01-26

Plugin Details

Severity: Medium

ID: 155841

File Name: cloudbees_security_advisory_2021-01-26.nasl

Version: 1.3

Type: combined

Agent: windows, macosx, unix

Family: CGI abuses

Published: 12/3/2021

Updated: 4/11/2022

Supported Sensors: Nessus Agent

Risk Information

CVSS Score Source: CVE-2021-21615

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Low

Base Score: 3.5

Temporal Score: 2.6

Vector: AV:N/AC:M/Au:S/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:cloudbees:jenkins

Required KB Items: installed_sw/Jenkins

Exploit Ease: No known exploits are available

Patch Publication Date: 1/26/2021

Vulnerability Publication Date: 1/26/2021

Reference Information

CVE: CVE-2021-21615